@echo off
setlocal

REM ################## User dependent section ###########################
REM Remote user and host
SET RHOST="user@192.168.0.38"
REM Remote working directory. 
SET RWDIR=tmp
REM Remote SHIPFLOW version
SET RSHIPFLOW=/opt/shipflow4.2-RHES5-x86/bin/shipflow
REM ##########################################################

REM ################ Setup cygwin/cwrsync/ssh environment ####################
SET CWRSYNCHOME=%PROGRAMFILES%\CWRSYNC

REM Set CYGWIN variable to 'nontsec'. That makes sure that permissions
REM on your windows machine are not updated as a side effect of cygwin
REM operations.
SET CYGWIN=nontsec

REM Set HOME variable to your windows home directory. That makes sure 
REM that ssh command creates known_hosts in a directory you have access.
SET HOME=%HOMEDRIVE%%HOMEPATH%

REM Make cwRsync home as a part of system PATH to find required DLLs
SET CWOLDPATH=%PATH%
SET PATH=%CWRSYNCHOME%\BIN;%PATH%

REM Windows paths may contain a colon (:) as a part of drive designation and 
REM backslashes (example c:\, g:\). However, in rsync syntax, a colon in a 
REM path means searching for a remote host. Solution: use absolute path 'a la unix', 
REM replace backslashes (\) with slashes (/) and put -/cygdrive/- in front of the 
REM drive letter:
REM ##########################################################

REM Find driver letter and remove the ":"
set DRV=%~d1
set DRV=%DRV:~0,1%
REM Find the path and convert dos "\" to unix "/"
set PTH=%~p1
set PTH=%PTH:\=/%
REM Find the file name.
set ID=%~n1

REM Look up the name of the offset file, get_offset_file_name.exe will find it in the command file
set SHIPFLOWBIN=%~dp0
path=%SHIPFLOWBIN%;%path%
for /f "delims=" %%a in ('get_offset_file_name.exe %ID% ') do set OFILE=%%a

echo Syncronizing command and offset files:
rsync -avR /cygdrive/%DRV%%PTH%%ID% %RHOST%:%RWDIR%
rsync -avR /cygdrive/%DRV%%PTH%%OFILE% %RHOST%:%RWDIR%

REM Execute SHIPFLOW in the working directory on the remote host. Command file is first converted from DOS to Unix format
echo Running SHIPFLOW on remote host via SSH
ssh.exe %RHOST% cd %RWDIR%/cygdrive/%DRV%%PTH%; dos2unix %ID% ; dos2unix %OFILE% ; %RSHIPFLOW% %ID%

echo Syncronizing results:
REM Files to be syncronized with the remote host
rsync  -av %RHOST%:%RWDIR%/cygdrive/%DRV%%PTH%%ID%_OUTPUT /cygdrive/%DRV%%PTH%
rsync  -av %RHOST%:%RWDIR%/cygdrive/%DRV%%PTH%%ID%.cgns /cygdrive/%DRV%%PTH%

endlocal
