#!/bin/bash

################## User dependent section ################
# Remote user and host
RHOST="user@192.168.0.10"
# Remote working directory
RWDIR=tmp
# Remote SHIPFLOW version
RSHIPFLOW=/opt/shipflow4.2-RHES5-x86/bin/shipflow
##########################################################


#Current directory
PT=`pwd`
#Command file
CF=$1
CF=`basename $CF`

# Look up the offset file
SHIPFLOWBIN=`dirname $0`;
OFILE=`$SHIPFLOWBIN/get_offset_file_name $CF`
OFILE=`echo $OFILE | sed -e 's/\"//g'`

echo Syncronizing command and offset files:
rsync -avR $PT/$CF $RHOST:$RWDIR
rsync -avR $PT/$OFILE $RHOST:$RWDIR

# Execute SHIPFLOW in the working directory on the remote host.
echo Running SHIPFLOW on remote host via SSH
ssh $RHOST cd $RWDIR$PT\;  $RSHIPFLOW $CF

echo Syncronizing results:

# Files to be syncronized with the remote host
rsync  -av $RHOST:$RWDIR$PT/${CF}_OUTPUT $PT/${CF}_OUTPUT
rsync  -av $RHOST:$RWDIR$PT/${CF}.cgns $PT/$CF.cgns
