%Write configuration file for the SHIPFLOW execution
function output=write_config(speed,draft,iterations,nthread,Dxx)

v =speed;
Fn = v*(1852/3600)/(sqrt(230*9.81));
num_panels = (1/(Fn^2*2*pi));
Rn = v*230/1.1e-6;
x = 25 + round(2*Dxx);
filename = 'C:\Users\Andreas\Documents\MATLAB\Offset_gen\PSO\Batch_CAESES\offset_generation_batch2\manual_results\baseline\input\config_new';
fileID = fopen(filename,'w');
fprintf(fileID,'xflow\n');
fprintf(fileID,'   title( title = "Offset_shipflow" )\n');
fprintf(fileID,'   program( xmesh, xpan)\n');  
fprintf(fileID,'   vship( fn = [%0.8f], rn = [%0.8f] )\n',Fn,Rn);   
fprintf(fileID,'   hull( mono, xmauto, h1gr = "transformed_main", ogrp = "aft",\n');   
fprintf(fileID,'fbgr = "transformed_bulb", abgr = "boss", fsflow, tran)\n');   
fprintf(fileID,'   offset( file = "test_batch", lpp = 230, zori = %0.1f )\n',draft);   
fprintf(fileID,'end\n');
fprintf(fileID,'\n');   
fprintf(fileID,'xmesh\n');   
fprintf(fileID,'   body( grno = 1, offsetg = "transformed_main", xsca = 1, ysca = 1, zsca = 1, \n');   
fprintf(fileID,'station = %0.0f, point = 22, expanel = 2, str1 = 0, str2 = 5, df2 = 0.001, \n',num_panels);   
fprintf(fileID,'dl2 = 0.001, str3 = 0, str4 = 5, df4 = 0.0025, dl4 = 0.0025 )\n');
fprintf(fileID,'   body( grno = 2, offsetg = "aft", xsca = 1, ysca = 1, zsca = 1,\n');   
fprintf(fileID,'station = 30, point = 17, expanel = 2, str1 = 0, str2 = 0, df2 = 0, dl2 = 0, \n');   
fprintf(fileID,'str3 = 0, str4 = 0 )\n');   
fprintf(fileID,'   body( grno = 4, offsetg = "boss", xsca = 1, ysca = 1, zsca = 1, \n');   
fprintf(fileID,'station = 8, point = 8, expanel = 0, str1 = 0, str2 = 0, df2 = 0, dl2 = 0, \n');
fprintf(fileID,'str3 = 0, str4 = 0 )\n');   
fprintf(fileID,'   body( grno = 3, offsetg = "transformed_bulb", xsca = 1, ysca = 1, zsca = 1, \n');   
fprintf(fileID,'station = %0.0f, point = 18, expanel = 0, str1 = 0, str2 = 0, df2 = 0, dl2 = 0, \n',x);   
fprintf(fileID,'str3 = 0, str4 = 0 )\n');   
fprintf(fileID,'end\n');
fprintf(fileID,'\n');
fprintf(fileID,'xpan\n');
fprintf(fileID,'   control( free, nonlin )\n');
fprintf(fileID,'   iterati( maxit = %0.0f )\n',iterations);
fprintf(fileID,'   parall( nthread = %0.0f )\n',nthread);
fprintf(fileID,'end\n');
fprintf(fileID,'\n');
%fprintf(fileID,'xbound\n');
%fprintf(fileID,'   inicon( sgroup = 1, t11 = [0.0001], turb )\n');
%fprintf(fileID,'end\n');   
%fprintf(fileID,'xpost\n');
%fprintf(fileID,'   control(on)\n');
%fprintf(fileID,'end\n');   
end